package com.bonus.core.menu.model;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class AllocMealtimeMenuModel {
   @ApiModelProperty("允许预订餐/报餐预定当天")
   private String ifAllowReserveToday;
   @ApiModelProperty("餐次时段状态Model")
   private List<AllocMealtimeStateModel> mealtimeStateModelList;

   public AllocMealtimeMenuModel(String ifAllowReserveToday) {
      this.ifAllowReserveToday = ifAllowReserveToday;
   }

   public String getIfAllowReserveToday() {
      return this.ifAllowReserveToday;
   }

   public List<AllocMealtimeStateModel> getMealtimeStateModelList() {
      return this.mealtimeStateModelList;
   }

   public void setIfAllowReserveToday(final String ifAllowReserveToday) {
      this.ifAllowReserveToday = ifAllowReserveToday;
   }

   public void setMealtimeStateModelList(final List<AllocMealtimeStateModel> mealtimeStateModelList) {
      this.mealtimeStateModelList = mealtimeStateModelList;
   }


   protected boolean canEqual(final Object other) {
      return other instanceof AllocMealtimeMenuModel;
   }



   public AllocMealtimeMenuModel() {
   }
}
